#
# Copyright 2010, Martin Owens and Adnane Belmadiaf.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import os
from django.conf.urls.defaults import *
from django.conf import settings
from common.views import robots

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    (r'^$', 'common.views.homepage'),

    (r'^admin/', include(admin.site.urls)),
    (r'^openid/', include('django_openid_auth.urls')),
    (r'^logout/$', 'common.views.logout_view'),
)

if settings.STATIC_SERVE:
    urlpatterns += patterns('',
        (r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': os.path.join(settings.WEBSITE_PATH,'media')}),
        (r'^robots\.txt$', robots),
    )
