#!/usr/bin/python
#
# Copyright 2010, LoCo Directory Project.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from django.core.management.base import NoArgsCommand

from common import launchpad
from django.contrib.auth.models import User, Group
from users.models import UserProfile, create_profile

from datetime import datetime
import sys

class Command(NoArgsCommand):
    help = "Updates user profiles with information from Launchpad."

    def handle_noargs(self, **options):
        lp = launchpad.lp_login()
        if not lp:
            sys.exit(1)
        USER_BLACKLIST = (u"root", u"admin")
        
        ld_users = User.objects.all()

        for ld_user in ld_users:
            if not ld_user.username in USER_BLACKLIST:
                print "* Updating %s" % ld_user
                profile, created = UserProfile.objects.get_or_create(user=ld_user)
                try:
                    lp_user = lp.people[ld_user.username]
                    #profile.tz = lp_user.time_zone or "UTC"
                    profile.realname = lp_user.display_name or user.username
                    profile.save()
                except Exception, e:
                    print "Error updating %s" % ld_user
                    print e
                    pass
